# Dadou - 2.1-0.20010121.1mdk - Define LMDK version - Be carefull if you modify
#                               this macro. Its result appear in all bug report
#                               send to the KDE team
%{expand:%%define mdk_version %(A=$(awk '{print $4}' /etc/mandrake-release); B=$(awk '{print $5}' /etc/mandrake-release); if [ -n "$A" ]; then echo $A $B; else echo Cooker; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-et
%else
Name:		kde-i18n-Estonian
%endif
Summary:	Estonian language support for KDE
Version:	2.2.2
Release:	1mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Estonian
%endif
Requires:	locales-et
BuildArch:	noarch

%description
Estonian language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/et/
#
#
%dir %_docdir/HTML/et/common/
%doc %_docdir/HTML/et/common/fdl-license
%doc %_docdir/HTML/et/common/gpl-license
%doc %_docdir/HTML/et/common/*.css
%doc %_docdir/HTML/et/common/*.dcl
%doc %_docdir/HTML/et/common/*.html
%doc %_docdir/HTML/et/common/*.png
#
#
%dir %_docdir/HTML/et/kcontrol/
%doc %_docdir/HTML/et/kcontrol/*.docbook
#
#
%dir %_datadir/locale/
%dir %_datadir/locale/et/
%_datadir/locale/et/charset
%_datadir/locale/et/*.desktop
%_datadir/locale/et/*.png
#
#
%dir %_datadir/locale/et/LC_MESSAGES/
%_datadir/locale/et/LC_MESSAGES/*.mo


%changelog
* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Wed  Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Remove koffice messages

* Thu Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Fri Aug 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Thu Jun 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Automatically build right package for right distribution

* Sat Jun 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
